function [estimation, error] = ARIMA(timeSeries, target_t, params)

N=length(timeSeries);

c = params.c;
if(strcmp(c, 'default')==1)
    c = sum(timeSeries)/length(timeSeries);
end

p = params.p;
q = params.q;
faiArray = params.faiArray;
thetaArray = params.thetaArray;

if(target_t<=p || target_t<=q)
    estimation = c;
else
    estimation = c;
    for i=1:p
        fai = faiArray(i);
        
        if((target_t-i)<=N)
            y = timeSeries(target_t-i);
        else
            [y, error] = ARIMA(timeSeries, target_t-i, params);
        end
        
        estimation = estimation + fai*y;
    end
    
    for j=1:q
        theta = thetaArray(j);
        if((target_t-j)<=N)
            [y, ebu] = ARIMA(timeSeries, target_t-j, params);
        else
            ebu = 0;
        end
        
        estimation = estimation + theta*ebu;
    end
end

if(target_t<=N)
    error = timeSeries(target_t) - estimation;
else
    error = 0;
end



end

