function [estimationArray, errorArray] = ARIMA_Fitting(timeSeries, params, verbose, plotFlag)

T = length(timeSeries);
c = params.c;
if(strcmp(c, 'default')==1)
    c = sum(timeSeries)/length(timeSeries);
end

p = params.p;
q = params.q;

estimationArray = [];
errorArray = [];

for t=1:T
    [estimation, error] = ARIMA(timeSeries, t, params);
    estimationArray = [estimationArray, estimation];
    errorArray = [errorArray, error];
    
    if(verbose ==1)
        disp(['-------------fitting for time index', num2str(t), '------------']);
    end
end

if(plotFlag == 1)
    t=1:1:T;
    plot(t, timeSeries, t, estimationArray);
    xlabel('Time index');
    ylabel('Data value');
    legend('Actual data', 'Fitted data');
end

end